DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# ChainCodeGetSize

Chain code access function

## SYNOPSIS

`#include "dip_chaincode.h"`

dip_Error dip_ChainCodeGetSize ( chaincode, number )

## FUNCTION

Returns the number of elements in the chain code.

Note: this is not a correct measure for the object's perimeter, use `ChainCodeGetLength` instead.

## ARGUMENTS

Data type | Name | Description
`dip_ChainCode` | `chaincode` | Chain code
`dip_int *` | `number` | Receives the number of elements in the chain.

## SEE ALSO

`ImageChainCode`, `ChainCodeNew`, `ChainCodeFree`, `ChainCodeGetChains`, `ChainCodeGetStart`, `ChainCodeGetLabel`, `ChainCodeGetConnectivity`